Image 01
profile-image

woezonloo

Julien Cynober , France
luckyBackup

System Software by luckyb 244 comments

I could try to build a rpm for fedora if I got the spec file or a src.rpm.
I tried to extract the spec from the rpm, but I was not able to open it (cpio error). - Feb 25 2009
luckyBackup

System Software by luckyb 244 comments

Hi,
I'm not able to install luckyBackup on fedora 10 using the x86_64 rpm.

* yum stops with the following error :
ERREUR de résolution de dépendance par rpm_check_debug :
Traceback (most recent call last):
File "/usr/bin/yum", line 29, in <module>
yummain.user_main(sys.argv[1:], exit_code=True)
File "/usr/share/yum-cli/yummain.py", line 229, in user_main
errcode = main(args)
File "/usr/share/yum-cli/yummain.py", line 181, in main
return_code = base.doTransaction()
File "/usr/share/yum-cli/cli.py", line 409, in doTransaction
print to_utf8(msg)
File "/usr/lib64/python2.5/codecs.py", line 303, in write
data, consumed = self.encode(object, self.errors)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 27: ordinal not in range(128)

* I also tried to install luckyBackup directly with rpm -i but it failed with :
erreur: Dépendances requises:
rpmlib(PayloadIsLzma) <= 4.4.2-1 est nécessaire pour luckybackup-0.2.1-1.x86_64
rpm-devel is installed on my system, but it seems the fedora version of rpm (based on rpm-4.6.0) doesn't support lzma...

Is it possible to rebuild the rpms with another compression format ? - Feb 24 2009
Semantik

Education Apps by ita256 149 comments

This problem is solved in 0.7.0. Thank you. - Jan 03 2009
Semantik

Education Apps by ita256 149 comments

Hi,

First, I would like to thank you for developping semantik.

I think there's a bug in the way semantik-0.6.9 installs localization files : it tries to install them not *IN* /usr/share/locale/fr/LC_MESSAGES/ and /usr/share/locale/es/LC_MESSAGES/, but *AS* /usr/share/locale/fr/LC_MESSAGES/ and /usr/share/locale/es/LC_MESSAGES/, which obviously conflicts with existing data in these folders.

I get the following messages during the installation process :
* installing build/default/src/po/fr.mo as /var/tmp/portage/kde-misc/semantik-0.6.9/image/usr/share/locale/fr/LC_MESSAGES
* installing build/default/src/po/es.mo as /var/tmp/portage/kde-misc/semantik-0.6.9/image/usr/share/locale/es/LC_MESSAGES

I didn't find out how to instruct waf to install these .mo files in the proper directories, so I'm not able to submit a patch.

I just could fix this problem manually between build and install :
mv usr/share/locale/fr/LC_MESSAGES usr/share/locale/fr/semantik.mo
mkdir usr/share/locale/fr/LC_MESSAGES/
mv usr/share/locale/fr/semantik.mo usr/share/locale/fr/LC_MESSAGES/
(and the same for es).
After that, all files are installed correctly and I got semantik translated in french (the locale I'm using). - Jan 01 2009
luckyBackup

System Software
by luckyb

8.3
Feb 28 2009